<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:optim="http://www.ibm.com/optim/audit/v11.3.0.0"
	xmlns:optimreport="http://www.ibm.com/optim/report/v11.3.0.0"
	xmlns:optimcommon="http://www.ibm.com/optim/common/v11.3.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

	<xsl:import href="CommonTemplates.xsl"/>
	<xsl:output method="html" indent="yes" version="4.0"
		doctype-public="-//W3C//DTD HTML 4.01//EN" doctype-system="http://www.w3.org/TR/html4/strict.dtd" />

	<xsl:template match="optimreport:RestoreReport">
		
		<!-- BEGIN SUMMARY SECTION -->
		<xsl:apply-templates select="optimreport:summary[@*]" />
		<!-- END SUMMARY SECTION -->

		<!-- Request Options Section -->
		<xsl:if test="optimreport:requestOptions/*">
			<xsl:apply-templates select="optimreport:requestOptions">
				<xsl:with-param name="display">False</xsl:with-param>
			</xsl:apply-templates>
		</xsl:if>
		<xsl:for-each select=".//*[contains(name(.), 'Report') or contains(name(.), 'Report')]">
			<!-- Set up inner report anchor -->
			<xsl:call-template name="anchorSetup">
				<xsl:with-param name="name">innerreport</xsl:with-param>
			</xsl:call-template>

			<xsl:call-template name="sectionSeperator">
				<xsl:with-param name="sectionName">
					<xsl:call-template name="tableContentName">
						<xsl:with-param name="name" select="name(.)"/>
					</xsl:call-template>
				</xsl:with-param>
				<xsl:with-param name="requestName" select="./optimreport:request/@name"/>
			</xsl:call-template>
			<xsl:apply-templates select=".">
				<xsl:with-param name="display">
					<xsl:text>False</xsl:text>
				</xsl:with-param>
			</xsl:apply-templates>
		</xsl:for-each>
	</xsl:template>
	<!--  END RestoreReport section -->
</xsl:stylesheet>

